package com.wmyun.module.infra.service.file;

import com.wmyun.module.infra.controller.admin.file.vo.preview.CheckFileInfoVo;
import com.wmyun.module.infra.dal.dataobject.file.FileDO;
import jakarta.servlet.http.HttpServletResponse;

import java.io.InputStream;

/**
 * @Classname FilePreviceService
 * @Description TODO
 * @Date 2025/2/26 18:24
 * @Created by violet
 */

public interface FilePreviewService {

    CheckFileInfoVo createPreviewInfo(String fileId);

    FileDO queryFileInfoByFileId(String fileId);

    void saveFile(String fileId, InputStream content, Long size);

    void getFileContent(String fileId, HttpServletResponse response);
}
